package admin_menu

import (
	"net/http"

	"xingfucha-server/app/main/api/internal/logic/admin_menu"
	"xingfucha-server/app/main/api/internal/svc"
	"xingfucha-server/app/main/api/internal/types"
	"xingfucha-server/common/result"
	"xingfucha-server/pkg/lzkit/validator"

	"github.com/zeromicro/go-zero/rest/httpx"
)

func GetMenuAllHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.GetMenuAllReq
		if err := httpx.Parse(r, &req); err != nil {
			result.ParamErrorResult(r, w, err)
			return
		}
		if err := validator.Validate(req); err != nil {
			result.ParamValidateErrorResult(r, w, err)
			return
		}
		l := admin_menu.NewGetMenuAllLogic(r.Context(), svcCtx)
		resp, err := l.GetMenuAll(&req)
		result.HttpResult(r, w, resp, err)
	}
}
